Package ru.bitel.bgbilling.modules.cerbercrypt.server.task

# Class Recalculator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator<Calculator>
ru.bitel.bgbilling.modules.cerbercrypt.server.task.Recalculator

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class Recalculator extends RunTaskRecalculator<Calculator>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `dt, email, mid`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Recalculator(int mid, Calendar dt, String email, String cids, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Calculator`
  `createTask()`
  `void`
  `executeTask()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `getDescription`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Recalculator

    public Recalculator(int mid, Calendar dt, String email, String cids, String comment)

- ## Method Details

  - ### createTask

    protected Calculator createTask()
    Specified by:
      `createTask` in class `RunTaskRecalculator<Calculator>`

  - ### executeTask

    public void executeTask()
    Overrides:
      `executeTask` in class `RunTaskRecalculator<Calculator>`